
#if !defined( CMBITMAP_INCLUDED_102497 )
#define CMBITMAP_INCLUDED_102497 
class CMBitmap : public CBitmap
{
public:
	CMBitmap();
	void Serialize( CArchive& ar );
	virtual BOOL LoadBitmap( char* lpszFileName  );
	BOOL LoadBitmap( CFile* BMPFile );
	BOOL SaveBitmap( CFile* BMPFile );
	BOOL SaveBitmap( char* lpszFileName );
	int GetFileSize() { return(0);}

	BOOL LoadBitmap( UINT X );
	BOOL LoadOEMBitmap( UINT nIDBitmap );
	BOOL LoadMappedBitmap( UINT nIDBitmap, UINT nFlags = 0, LPCOLORMAP lpColorMap = NULL, int nMapSize = 0 );
	BOOL CreateBitmap( int nWidth, int nHeight, UINT nPlanes, UINT nBitcount, const void* lpBits );

	BOOL CreateBitmapIndirect( LPBITMAP lpBitmap );
	BOOL CreateCompatibleBitmap( CDC* pDC, int nWidth, int nHeight );
	BOOL CreateDiscardableBitmap( CDC* pDC, int nWidth, int nHeight );

	void Draw( CDC*pDC, int X=0, int Y=0, int Width=0, int Height=0, int SrcX=0, int SrcY=0, int Mode=SRCCOPY );
	void Stretch(CDC*pDC, int X=0, int Y=0, int nWidth=0, int nHeight=0, int xSrc=0, int ySrc=0, int nSrcWidth=0, int nSrcHeight=0, DWORD dwRop=SRCCOPY );
	int GetHeight() const { return( TheBM.bmHeight ); }
	int GetWidth() const { return( TheBM.bmWidth ); }
	void DeleteObject();

private:
	BOOL InitBM(BOOL OK);
	
	CString Filename;
	CPalette Pal;
	BITMAP TheBM;
};

#endif
